﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Globalization;

namespace ExpenseReport
{
    public class EnumConverter : System.Windows.Data.IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch ((int)value)
            {
                case 0:
                    return "Not Submitted";
                case 1:
                    return ReportStatus.Submitted.ToString();
                case 2:
                    return ReportStatus.Approved.ToString();
                default:
                    return ReportStatus.NotSubmitted.ToString();
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            //You could convert back here
            return null;
        }
    }
}
